.bigcontainer{
  display:flex;
  align-items:baseline;
  justify-content:center;
  height:auto;
  

}
.bigcontainer img{
  max-width: 100%;
}

.container{
  position: relative;
  width:100%;
  z-index: 0;
  overflow: hidden;
  height: 500px ;
}
.slide{
  display:flex;
  transform: translate3d(0,0,0);
  transition: all 600ms;
  animation-name: autoplay;
  animation-duration: 20s;
  animation-fill-mode: forwards;
  animation-direction: alternate;
  animation-iteration-count: infinite;
}


.item-slide{
  position: relative;
  display:flex;
  flex-direction: column;
  flex-shrink: 0;
  flex-grow: 0;
  max-height: 100%;
  max-width: 100%;
}

.pagination{
  position: absolute;
  bottom: 20px;
  left: 0;
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: center;
  width: 100%;
}
.paginatio-item{
  display: flex;
  flex-direction: column;
  align-items: center;
  border: 2px solid white;
  width: 16px;
  height: 16px;
  border-radius: 4px;
  overflow: hidden;
  cursor: pointer;
  background: rgba(255,255,255,0.5);
  margin: 0 10px;
  text-align: center;
  transition: all 300ms;
}
.paginatio-item:hover{
  transform: scale(2);
}

.paginatio-item img{
  display: inline-block;
  max-width: none;
  height: 100%;
  transform: scale(1);
  opacity: 0;
  transition: all 300ms;
}
.paginatio-item:hover img{
  opacity:1;
  transform: scale(1);
}

input[id="1"]:checked ~ .slide{
  animation: none;
  transform: translate3d(0,0,0);
}
input[id="1"]:checked ~ .pagination .paginatio-item[for = "1"]{
  background: white;
}

input[id="2"]:checked ~ .slide{
  animation: none;
  transform: translate3d(calc(-100%*1),0,0);
}
input[id="2"]:checked ~ .pagination .paginatio-item[for = "2"]{
  background: white;
}

input[id="3"]:checked ~ .slide{
  animation: none;
  transform: translate3d(calc(-100%*2),0,0);
}
input[id="3"]:checked ~ .pagination .paginatio-item[for = "3"]{
  background: white;
}

input[id="4"]:checked ~ .slide{
  animation: none;
  transform: translate3d(calc(-100%*3),0,0);
}
input[id="4"]:checked ~ .pagination .paginatio-item[for = "4"]{
  background: white;
}

input[id="5"]:checked ~ .slide{
  animation: none;
  transform: translate3d(calc(-100%*4),0,0);
}
input[id="5"]:checked ~ .pagination .paginatio-item[for = "5"]{
  background: white;
}

@keyframes autoplay {
  20%{
    transform: translate3d(calc(-100%*0),0,0);

  }
  40%{
    transform: translate3d(calc(-100%*1),0,0);

  }
  60%{
    transform: translate3d(calc(-100%*2),0,0);

  }
  80%{
    transform: translate3d(calc(-100%*3),0,0);

  }
  100%{
    transform: translate3d(calc(-100%*4),0,0);

  }
}
@media (max-width: 300px) {
  .pagination{
    display:none;
  }
}
@media (max-width: 750px) {
.container{
  height: auto;
  
}

}
